<% /*
     $Revision$
     $Id$

    File:               kostensoortFilter.inc
    Description:        functies voor kostensoort suggest velden
    Globals:
    Context:
    Note:
*/ %>


<%

function getFiltClauseKostensoort(pfiltcode)
{
  var lfiltClause = "";
  if (pfiltcode && pfiltcode != "")
  {
    switch(pfiltcode)
    {
      case 'C': // Kostensoort die gekoppeld zijn aan kostenplaatsgroep door middel van combinatie validatie
                lfiltClause = " AND ks.prs_kostensoort_key IN (SELECT prs_kostensoort_key FROM prs_kostencombinatie)";
                break;
    }
  }
  return lfiltClause;
}

function getExtraInfKostensoort(pextracode)
{
  var lExtraInf = ", 'Extra' extra";
  if (pextracode && pextracode != "")
  {
    switch(pextracode)
    {
      case 'B': lExtraInf = ", ks.prs_kostensoort_btw extra"; // Inclusief/Exclusief btw
                break;
    }
  }
  return lExtraInf;
}
%>
